#ifndef XL_PAD_H
#define XL_PAD_H

#include <psone/bladeps.h>

/*
* This Header is mainly build for easier GamePad keys retrieving for sigle click event.
* Meaning that it will detect the keys clicked once as in first key button goes down.
*/

typedef struct XL_PAD_STRUCT
{
	u_long pad_data;
	u_int select;
	u_int start;
	u_int up;
	u_int down;
	u_int left;
	u_int right;
	u_int triangle;
	u_int circle;
	u_int cross;
	u_int square;
	u_int l1;
	u_int r1;
	u_int l2;
	u_int r2;

	u_int select_clicked;
	u_int start_clicked;
	u_int up_clicked;
	u_int down_clicked;
	u_int left_clicked;
	u_int right_clicked;
	u_int triangle_clicked;
	u_int circle_clicked;
	u_int cross_clicked;
	u_int square_clicked;
	u_int l1_clicked;
	u_int r1_clicked;
	u_int l2_clicked;
	u_int r2_clicked;
}XL_PAD;

XL_PAD p1_pad;
XL_PAD p2_pad;

void InitGamePad();
void DeinitGamePad();
void UpdateGamePad();

#endif
